Announcement

Collapse
No announcement yet.

Upgrade Database error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts
    WireNine.com
    Member

  • WireNine.com
    replied
    Fixed, upgraded to the latest stable then upgraded to the beta 4 and now it works fine. Still yet to hear back from vbulletin team even though the problem has been resolved.

    Leave a comment:

  • carntheroos4eva
    Senior Member

  • carntheroos4eva
    replied
    That's because it is the unstable version. Try the latest 3.7 version

    Leave a comment:

  • WireNine.com
    Member

  • WireNine.com
    started a topic Upgrade Database error

    Upgrade Database error

    Having trouble upgrading the forums to 3.8 beta 4, running the upgrade script fails on step 4 with the following data base error. Opened a ticket with vbulletin support with no response the entire day. Maybe someone can help here.

    Have made sure all files were uploaded using ASCII not binary except for images.

    Database error in vBulletin 3.6.8:

    Invalid SQL:
    UPDATE xxx_usergroup SET
    forumpermissions = forumpermissions |
    IF(forumpermissions & 16, 1048576, 0) |
    IF(forumpermissions & 64, 2097152, 0) |
    IF(forumpermissions & 512, 4194304, 0),
    genericpermissions = genericpermissions |
    IF(forumpermissions & 64
    OR forumpermissions & 16, 1073741824, 0),

    genericpermissions2 = genericpermissions2 |
    IF(genericpermissions & 4096
    OR genericpermissions & 268435456, 1, 0),

    albumpermissions = albumpermissions |
    IF(genericpermissions & 2
    AND genericpermissions & 128, 1, 0) |
    IF(genericpermissions & 1, 2, 0),
    albumpicmaxwidth = 600,
    albumpicmaxheight = 600,
    albumpicmaxsize = 100000,
    albummaxpics = 100,
    albummaxsize = 0,

    usercsspermissions = usercsspermissions |
    IF(genericpermissions & 2
    AND signaturepermissions & 8, 1, 0) |
    IF(genericpermissions & 2
    AND signaturepermissions & 8, 2, 0) |
    IF(genericpermissions & 2
    AND signaturepermissions & 2, 4, 0) |
    IF(genericpermissions & 2
    AND genericpermissions & 128
    AND signaturepermissions & 2, 8, 0) |
    IF(genericpermissions & 2
    AND signaturepermissions & 2, 16, 0),

    visitormessagepermissions = visitormessagepermissions |
    IF(forumpermissions & 64
    OR forumpermissions & 32, 1, 0) |
    IF(forumpermissions & 64, 2, 0) |
    IF(forumpermissions & 128, 4, 0) |
    IF(forumpermissions & 256, 8, 0) |
    IF(forumpermissions & 131072, 16, 0) |
    IF(forumpermissions & 128
    OR forumpermissions & 256, 32, 0),

    socialgrouppermissions = socialgrouppermissions |
    IF(genericpermissions & 1, 1, 0) |
    IF(forumpermissions & 16, 2, 0) |
    IF(forumpermissions & 128, 4, 0) |
    IF(forumpermissions & 512, 8, 0) |
    IF(genericpermissions & 1, 16, 0) |
    IF(forumpermissions & 128
    OR forumpermissions & 256, 32, 0) |
    IF(adminpermissions & 1, , 0) |
    64;

    MySQL Error : You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ' 0) |
    64' at line 55
    Error Number : 1064
    Request Date : Friday, November 28th 2008 @ 02:27:29 PM
    Error Date : Friday, November 28th 2008 @ 02:27:29 PM
    Script : http://fxxx/install/upgrade_370b2.php?step=4
    Referrer : http://fxxx/install/upgrade_370b2.php?step=4
    IP Address : xxx.xxx
    Username :
    Classname : vB_Database
    MySQL Version : 4.x-standard

Related Topics

Collapse

Working...
X